# Generated by Django 3.1.2 on 2020-11-03 19:15

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Area',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='County',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='Owner',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('personal_no', models.CharField(max_length=30)),
                ('series_id', models.CharField(max_length=30)),
                ('number_id', models.CharField(max_length=30)),
                ('adress', models.CharField(max_length=30)),
                ('ro_reg_id', models.CharField(max_length=30)),
                ('ro_reg_position', models.CharField(max_length=30)),
                ('phone', models.CharField(max_length=13)),
            ],
        ),
        migrations.CreateModel(
            name='Village',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30)),
                ('county', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.county')),
            ],
        ),
        migrations.CreateModel(
            name='Parcel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(max_length=30)),
                ('field_no', models.CharField(max_length=30)),
                ('surface', models.DecimalField(decimal_places=10, max_digits=10)),
                ('surface_measured', models.DecimalField(decimal_places=2, max_digits=10)),
                ('cathegory', models.CharField(max_length=20)),
                ('land_reg_no', models.CharField(max_length=30)),
                ('land_reg_id', models.CharField(max_length=30)),
                ('land_reg_owner', models.CharField(max_length=30)),
                ('title_no', models.CharField(max_length=30)),
                ('title_owner', models.CharField(max_length=30)),
                ('observation', models.CharField(max_length=50)),
                ('gis_no', models.CharField(max_length=30)),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.area')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.owner')),
            ],
        ),
        migrations.CreateModel(
            name='Lease',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(max_length=30)),
                ('observation', models.CharField(max_length=50)),
                ('value', models.DecimalField(decimal_places=2, max_digits=10)),
                ('surface', models.DecimalField(decimal_places=2, max_digits=10)),
                ('leas_holder', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='leas_holder', to='land_app.owner')),
                ('leaser', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, related_name='leaser', to='land_app.owner')),
            ],
        ),
        migrations.CreateModel(
            name='Contract',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(max_length=30)),
                ('type', models.IntegerField()),
                ('observation', models.CharField(max_length=50)),
                ('value', models.DecimalField(decimal_places=2, max_digits=10)),
                ('surface', models.DecimalField(decimal_places=2, max_digits=10)),
                ('buyer', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.owner')),
            ],
        ),
        migrations.AddField(
            model_name='area',
            name='village',
            field=models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='land_app.village'),
        ),
    ]
